diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/helper/dhcp-helper.h ns-3.43/src/internet-apps/helper/dhcp-helper.h
--- ns-3.42/src/internet-apps/helper/dhcp-helper.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/helper/dhcp-helper.h	2024-10-09 16:41:09.876655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2011 UPB
  * Copyright (c) 2017 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Radu Lupu <rlupu@elcom.pub.ro>
  *         Ankit Deepak <adadeepak8@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/helper/ping-helper.cc ns-3.43/src/internet-apps/helper/ping-helper.cc
--- ns-3.42/src/internet-apps/helper/ping-helper.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/helper/ping-helper.cc	2024-10-09 16:41:09.876655800 -0700
@@ -3,18 +3,7 @@
  * Copyright (c) 2008-2009 Strasbourg University (original Ping6 helper)
  * Copyright (c) 2008 INRIA (original v4Ping helper)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/helper/ping-helper.h ns-3.43/src/internet-apps/helper/ping-helper.h
--- ns-3.42/src/internet-apps/helper/ping-helper.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/helper/ping-helper.h	2024-10-09 16:41:09.876655800 -0700
@@ -3,18 +3,7 @@
  * Copyright (c) 2008-2009 Strasbourg University (original Ping6 helper)
  * Copyright (c) 2008 INRIA (original v4Ping helper)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/helper/radvd-helper.cc ns-3.43/src/internet-apps/helper/radvd-helper.cc
--- ns-3.42/src/internet-apps/helper/radvd-helper.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/helper/radvd-helper.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/helper/radvd-helper.h ns-3.43/src/internet-apps/helper/radvd-helper.h
--- ns-3.42/src/internet-apps/helper/radvd-helper.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/helper/radvd-helper.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/helper/v4traceroute-helper.cc ns-3.43/src/internet-apps/helper/v4traceroute-helper.cc
--- ns-3.42/src/internet-apps/helper/v4traceroute-helper.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/helper/v4traceroute-helper.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Ritsumeikan University, Shiga, Japan
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *
  * Author: Alberto Gallegos Ramonet <ramonet@fc.ritsumei.ac.jp>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/helper/v4traceroute-helper.h ns-3.43/src/internet-apps/helper/v4traceroute-helper.h
--- ns-3.42/src/internet-apps/helper/v4traceroute-helper.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/helper/v4traceroute-helper.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Ritsumeikan University, Shiga, Japan
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *
  *  Alberto Gallegos Ramonet <ramonet@fc.ritsumei.ac.jp>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/model/dhcp-client.cc ns-3.43/src/internet-apps/model/dhcp-client.cc
--- ns-3.42/src/internet-apps/model/dhcp-client.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/model/dhcp-client.cc	2024-10-09 16:41:09.876655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2011 UPB
  * Copyright (c) 2017 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Radu Lupu <rlupu@elcom.pub.ro>
  *         Ankit Deepak <adadeepak8@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/model/dhcp-client.h ns-3.43/src/internet-apps/model/dhcp-client.h
--- ns-3.42/src/internet-apps/model/dhcp-client.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/model/dhcp-client.h	2024-10-09 16:41:09.876655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2011 UPB
  * Copyright (c) 2017 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Radu Lupu <rlupu@elcom.pub.ro>
  *         Ankit Deepak <adadeepak8@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/model/dhcp-header.cc ns-3.43/src/internet-apps/model/dhcp-header.cc
--- ns-3.42/src/internet-apps/model/dhcp-header.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/model/dhcp-header.cc	2024-10-09 16:41:09.876655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2011 UPB
  * Copyright (c) 2017 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Radu Lupu <rlupu@elcom.pub.ro>
  *         Ankit Deepak <adadeepak8@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/model/dhcp-header.h ns-3.43/src/internet-apps/model/dhcp-header.h
--- ns-3.42/src/internet-apps/model/dhcp-header.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/model/dhcp-header.h	2024-10-09 16:41:09.876655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2011 UPB
  * Copyright (c) 2017 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Radu Lupu <rlupu@elcom.pub.ro>
  *         Ankit Deepak <adadeepak8@gmail.com>
@@ -41,13 +30,13 @@
  * \ingroup dhcp
  *
  * \class DhcpHeader
- * \brief BOOTP header with DHCP messages supports the following options:
+ * \brief BOOTP header with DHCP messages.  This supports the following options:
  *        Subnet Mask (1), Address Request (50), Refresh Lease Time (51),
  *        DHCP Message Type (53), DHCP Server ID (54), Renew Time (58),
  *        Rebind Time (59) and End (255) of BOOTP
-
-  \verbatim
-    0                   1                   2                   3
+ *
+ * \verbatim
+   0                   1                   2                   3
    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    |     op (1)    |   htype (1)   |   hlen (1)    |   hops (1)    |
@@ -78,8 +67,7 @@
    |                                                               |
    |                          options (variable)                   |
    +---------------------------------------------------------------+
-  \endverbatim
-
+   \endverbatim
  */
 class DhcpHeader : public Header
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/model/dhcp-server.cc ns-3.43/src/internet-apps/model/dhcp-server.cc
--- ns-3.42/src/internet-apps/model/dhcp-server.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/model/dhcp-server.cc	2024-10-09 16:41:09.876655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2011 UPB
  * Copyright (c) 2017 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Radu Lupu <rlupu@elcom.pub.ro>
  *         Ankit Deepak <adadeepak8@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/model/dhcp-server.h ns-3.43/src/internet-apps/model/dhcp-server.h
--- ns-3.42/src/internet-apps/model/dhcp-server.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/model/dhcp-server.h	2024-10-09 16:41:09.876655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2011 UPB
  * Copyright (c) 2017 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Radu Lupu <rlupu@elcom.pub.ro>
  *         Ankit Deepak <adadeepak8@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/model/ping.cc ns-3.43/src/internet-apps/model/ping.cc
--- ns-3.42/src/internet-apps/model/ping.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/model/ping.cc	2024-10-09 16:41:09.876655800 -0700
@@ -3,18 +3,7 @@
  * Copyright (c) 2007-2009 Strasbourg University (original Ping6 code)
  * Copyright (c) 2008 INRIA (original Ping code)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Chandrakant Jena <chandrakant.barcelona@gmail.com>
  *         Tommaso Pecorella <tommaso.pecorella@unifi.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/model/ping.h ns-3.43/src/internet-apps/model/ping.h
--- ns-3.42/src/internet-apps/model/ping.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/model/ping.h	2024-10-09 16:41:09.876655800 -0700
@@ -3,18 +3,7 @@
  * Copyright (c) 2007-2009 Strasbourg University (original Ping6 code)
  * Copyright (c) 2008 INRIA (original v4Ping code)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Chandrakant Jena <chandrakant.barcelona@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/model/radvd.cc ns-3.43/src/internet-apps/model/radvd.cc
--- ns-3.42/src/internet-apps/model/radvd.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/model/radvd.cc	2024-10-09 16:41:09.876655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2008 Telecom Bretagne
  * Copyright (c) 2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  *         Mehdi Benamor <benamor.mehdi@ensi.rnu.tn>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/model/radvd.h ns-3.43/src/internet-apps/model/radvd.h
--- ns-3.42/src/internet-apps/model/radvd.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/model/radvd.h	2024-10-09 16:41:09.876655800 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2008 Telecom Bretagne
  * Copyright (c) 2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  *         Mehdi Benamor <benamor.mehdi@ensi.rnu.tn>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/model/radvd-interface.cc ns-3.43/src/internet-apps/model/radvd-interface.cc
--- ns-3.42/src/internet-apps/model/radvd-interface.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/model/radvd-interface.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/model/radvd-interface.h ns-3.43/src/internet-apps/model/radvd-interface.h
--- ns-3.42/src/internet-apps/model/radvd-interface.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/model/radvd-interface.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/model/radvd-prefix.cc ns-3.43/src/internet-apps/model/radvd-prefix.cc
--- ns-3.42/src/internet-apps/model/radvd-prefix.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/model/radvd-prefix.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/model/radvd-prefix.h ns-3.43/src/internet-apps/model/radvd-prefix.h
--- ns-3.42/src/internet-apps/model/radvd-prefix.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/model/radvd-prefix.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/model/v4traceroute.cc ns-3.43/src/internet-apps/model/v4traceroute.cc
--- ns-3.42/src/internet-apps/model/v4traceroute.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/model/v4traceroute.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Ritsumeikan University, Shiga, Japan
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Alberto Gallegos Ramonet
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/model/v4traceroute.h ns-3.43/src/internet-apps/model/v4traceroute.h
--- ns-3.42/src/internet-apps/model/v4traceroute.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/model/v4traceroute.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Ritsumeikan University, Shiga, Japan
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Alberto Gallegos Ramonet <ramonet@fc.ritsumei.ac.jp>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/test/dhcp-test.cc ns-3.43/src/internet-apps/test/dhcp-test.cc
--- ns-3.42/src/internet-apps/test/dhcp-test.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/test/dhcp-test.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Ankit Deepak <adadeepak8@gmail.com>
  *          Deepti Rajagopal <deeptir96@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/internet-apps/test/ipv6-radvd-test.cc ns-3.43/src/internet-apps/test/ipv6-radvd-test.cc
--- ns-3.42/src/internet-apps/test/ipv6-radvd-test.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/internet-apps/test/ipv6-radvd-test.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2021 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  *
